Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.document
Enum Field.TermVector

    java.lang.Object
      java.lang.Enum<Field.TermVector>
          org.apache.lucene.document.Field.TermVector

All Implemented Interfaces:
  Serializable, Comparable<Field.TermVector>

Enclosing class:
  Field

Deprecated. This is here only to ease transition from the pre-4.0 APIs.

    @Deprecated
    public static enum Field.TermVector

extends Enum<Field.TermVector>

Specifies whether and how a field should have term vectors.

Enum Constant Summary
`NO` Deprecated. Do not store term vectors.
`WITH_OFFSETS` Deprecated. Store the term vector + Token offset information
`WITH_POSITIONS` Deprecated. Store the term vector + token position information
`WITH_POSITIONS_OFFSETS` Deprecated. Store the term vector + Token position and offset information
`YES` Deprecated. Store the term vectors of each document.

Method Summary
`abstract boolean` | `isStored()` Deprecated.
`static Field.TermVector` | `toTermVector(boolean stored, boolean withOffsets, boolean withPositions)` Deprecated. Get the best representation of a TermVector given the flags.
`static Field.TermVector` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static Field.TermVector[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.
`abstract boolean` | `withOffsets()` Deprecated.
`abstract boolean` | `withPositions()` Deprecated.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO

    public static final Field.TermVector NO

  Deprecated.
  Do not store term vectors.

### YES

    public static final Field.TermVector YES

  Deprecated.
  Store the term vectors of each document. A term vector is a list of the document's terms and their number of occurrences in that document.

### WITH_POSITIONS

    public static final Field.TermVector WITH_POSITIONS

  Deprecated.
  Store the term vector + token position information

  See Also:
    `YES`

### WITH_OFFSETS

    public static final Field.TermVector WITH_OFFSETS

  Deprecated.
  Store the term vector + Token offset information

  See Also:
    `YES`

### WITH_POSITIONS_OFFSETS

    public static final Field.TermVector WITH_POSITIONS_OFFSETS

  Deprecated.
  Store the term vector + Token position and offset information

  See Also:
    `YES`, `WITH_POSITIONS`, `WITH_OFFSETS`

Method Detail

### values

    public static Field.TermVector[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Field.TermVector c : Field.TermVector.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Field.TermVector valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toTermVector

    public static Field.TermVector toTermVector(boolean stored,
                                                boolean withOffsets,
                                                boolean withPositions)

  Deprecated.
  Get the best representation of a TermVector given the flags.

### isStored

    public abstract boolean isStored()

  Deprecated.

### withPositions

    public abstract boolean withPositions()

  Deprecated.

### withOffsets

    public abstract boolean withOffsets()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.